%define svn 2137

Summary:	Mille-xterm-configurator: adminstration of linux terminals
Name:		mille-xterm-configurator
Version:	1.0
Release:	%mkrel 0.%{svn}.1
License:	GPL
Group:		System/Servers
URL:		http://www.revolutionlinux.com/mille-xterm
Source:		%{name}-%{version}.tar.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache-mpm-prefork >= 2.0.54
Requires(pre):	apache-mod_ssl apache-mod_php php-pgsql php-ldap links
Requires(pre):  php-pear php-pear-Auth
Requires(pre):  cups-common
Requires:	apache-conf >= 2.0.54
Requires:	apache-mpm-prefork >= 2.0.54
Requires:	apache-mod_ssl apache-mod_php php-pgsql php-ldap links
Requires:	php-pear php-pear-Auth
Requires:	cups-common
BuildRequires:	apache-base >= 2.0.54
BuildRequires:	perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mille-xterm-configurator is intended to handle the adminstration large
deployments of linux terminals Mille-xterm has an admin pannel, where settings
for terminals and groups of terminals can be managed. There is also a terminal
interface, where they get their config while booting.

%package -n	%{name}-clients
Summary:	Client files for mille-xterm-configurator
Group:		System/Servers

%description -n	%{name}-clients
Client files for mille-xterm-configurator

%prep

%setup -q -n %{name}-%{version}

# fix CR/LF
find -type f|grep -v jpg | grep -v gif | grep -v png |xargs perl -pi -e "s|\015||g;"

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/mille-configurator

cp -aRf Admin Terminal Tech %{buildroot}/var/www/mille-configurator/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/95_mille-configurator.conf << EOF

Alias /mille-configurator /var/www/mille-configurator

<Directory /var/www/mille-configurator>
    Options +Indexes
    Order allow,deny
    Allow from all
</Directory>

<Directory /var/www/mille-configurator/Terminal>
    Options +Indexes
    php_value arg_separator.input /
    Order allow,deny
    Allow from all
</Directory>

<Directory /var/www/mille-configurator/Admin/Util>
    Order Allow,Deny
    Allow from none
    Deny from all
</Directory>

# Uncomment the following lines to force a redirect to a working 
# SSL aware apache server. This serves as an example.
# 
#<IfModule mod_ssl.c>
#    <LocationMatch /mille-configurator>
#        Options FollowSymLinks
#        RewriteEngine on
#        RewriteCond %{SERVER_PORT} !^443$
#        RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#    </LocationMatch>
#</IfModule>

EOF

# FIXME : security issue
chmod ugo+rw %{buildroot}/var/www/mille-configurator/Admin/Log

# FIXME : it may be better to include the path in php than linking...
pushd %{buildroot}/var/www/mille-configurator/Terminal
    if [[ ! -L util ]]; then
	ln -s ../Admin/util .
    fi

    if [[ ! -L adodb ]]; then
	ln -s ../Admin/adodb .
    fi
    # FIXME : security issue
    chmod ugo+rw Log
popd

pushd %{buildroot}/var/www/mille-configurator/Tech
    for file in admin.php adodb index.php util; do
	if [[ ! -L $file ]]; then
	    ln -s ../Admin/$file .
	fi
    done
popd

# Add scripts to handle DB
install -d %{buildroot}/%{_datadir}/%{name}
cp -aRf DB %{buildroot}/%{_datadir}/%{name}/
chmod 755 %{buildroot}/%{_datadir}/%{name}/DB/*.sh
chmod 755 %{buildroot}/var/www/mille-configurator/Tech/install.sh
chmod 755 %{buildroot}/var/www/mille-configurator/Terminal/install.sh
chmod 755 %{buildroot}/var/www/mille-configurator/Admin/util/makephpdoc.sh

# Install the client files
install -d %{buildroot}%{_sysconfdir}
cp -af clients/config-server %{buildroot}%{_sysconfdir}
cp -af clients/config-password %{buildroot}%{_sysconfdir}

%post 
%_post_webapp
echo -e "\nInstallation complete !\n\nDon't forget to install and configure a database :"
echo -e " - If you want to create a new one, you can use this script :\n%{_datadir}/mille-xterm-configurator/DB/init_db.sh\n"
echo -e " - If you want to update an older one, you can use this script :\n%{_datadir}/mille-xterm-configurator/DB/update_db_v2\n"
echo -e "Be sure postgresql-server is running and then you can configure your configurator\nto use your database at : http://SRV-ADDRESS/mille-configurator/Admin/index.php"

%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%doc Changelog INSTALL README COPYING AUTHORS doc/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/95_mille-configurator.conf 
%dir /var/www/mille-configurator
/var/www/mille-configurator
%attr(-,root,root)
%config(noreplace) %attr(-,apache,apache) /var/www/mille-configurator/Admin/util/config.php
%config(noreplace) %attr(-,apache,apache) /var/www/mille-configurator/Admin/util/entityRole-config.php
%attr(-,root,root) %dir %{_datadir}/%{name}
%attr(-,root,root) %{_datadir}/%{name}/*

%files -n %{name}-clients
%attr(-,root,root)
%doc README.clients
%config(noreplace) %{_sysconfdir}/config-server
%config(noreplace) %attr(600,root,root) %{_sysconfdir}/config-password


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.2137.1mdv2007.0
+ Revision: 117772
- Import mille-xterm-configurator



* Thu Sep 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.2137.1mdk
- initial Mandriva package (mille-xterm import)
